"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
const app_controller_1 = require("./app.controller");
const app_service_1 = require("./app.service");
const transformer_controller_1 = require("./transformer/transformer.controller");
const transformer_service_1 = require("./transformer/transformer.service");
const carga_service_1 = require("./carga/service/carga.service");
const config_module_1 = require("./config/config.module");
const meta_trading_simplificado_1 = require("./carga/meta/meta-trading-simplificado");
const validation_service_1 = require("./validation/validation.service");
let AppModule = class AppModule {
};
AppModule = __decorate([
    common_1.Module({
        imports: [common_1.HttpModule, config_module_1.ConfigModule],
        controllers: [app_controller_1.AppController, transformer_controller_1.TransformerController],
        providers: [app_service_1.AppService, transformer_service_1.TransformerService, carga_service_1.CargaService, meta_trading_simplificado_1.CargaMeta, validation_service_1.ValidationService],
    })
], AppModule);
exports.AppModule = AppModule;
//# sourceMappingURL=app.module.js.map