"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
exports.META_TRADING_SIMPLIFICADO = {
    cod_doc_impreso: { typeIn: 'Number', required: true },
    fe_emision: { typeIn: 'Date', required: true, maxSize: 19, isDate: true },
    doc_orides: { typeIn: 'Number', required: true },
    obs: { typeIn: 'String', maxSize: 80 },
    fe_cierre_carga: { typeIn: 'Date', maxSize: 19, isDate: true, required: true },
    peso_bruto: { typeIn: 'Number', required: true },
    peso_tara: { typeIn: 'Number', required: true },
    peso_neto: { typeIn: 'Number', required: true },
    cod_transportadora: { typeIn: 'Number' },
    nom_chofer: { typeIn: 'String', maxSize: 100 },
    doc_chofer: { typeIn: 'String', maxSize: 20 },
    direccion_chofer: { typeIn: 'String', maxSize: 50 },
    tipo_transporte: { typeIn: 'String', maxSize: 1 },
    modelo_tractor: { typeIn: 'String', maxSize: 20 },
    nro_camion: { typeIn: 'Number' },
    chapa_camion: { typeIn: 'String', maxSize: 10 },
    chapa_remolque: { typeIn: 'String', maxSize: 10 },
    cod_resp_flete: { typeIn: 'String', maxSize: 1 },
    cod_chofer: { typeIn: 'Number' },
    cod_unid_veic_camion: { typeIn: 'Number' },
    tp_neg_flete: { typeIn: 'String', maxSize: 1 },
    peso_neto_orides: { typeIn: 'Number' },
    peso_liquido_orides: { typeIn: 'Number' },
    cod_analista: { typeIn: 'Number' }
};
exports.META_TRADING_SIMPLIFICADO_ENTIDADE = { cod_contrato: { cod_entidad: 'Number' } };
exports.META_TRADING_SIMPLIFICADO_CONTRATO = { cod_contrato: { typeIn: 'Number' } };
exports.META_TRADING_SIMPLIFICADO_DESPACHO = { cod_factura_exp: { typeIn: 'Number' } };
exports.CARGA_ROMANEO = 7;
exports.CARGA_REMISION = 4;
exports.CARGA_ROMANEO_CONTRATO = 10;
exports.CARGA_REMISION_CONTRATO = 11;
exports.CARGA_REMISION_DESPACHO = 12;
let CargaMeta = class CargaMeta {
};
CargaMeta = __decorate([
    common_1.Injectable()
], CargaMeta);
exports.CargaMeta = CargaMeta;
//# sourceMappingURL=meta-trading-simplificado.js.map