"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
const path_1 = require("path");
let ValidationService = class ValidationService {
    constructor() {
        this.errorList = [];
    }
    isRequired(value, message) {
        if (!value || value.length <= 0) {
            this.pushErrors(message);
        }
    }
    isXlSXFile(file, message) {
        if (!file || ['.xls', '.xlsx'].indexOf(path_1.extname(file.originalname)) === -1) {
            this.pushErrors(message);
        }
    }
    pushErrors(message) {
        this.errorList.push(message);
    }
    errors() {
        return this.errorList;
    }
    clear() {
        this.errorList = [];
    }
    isValid() {
        return this.errorList.length === 0;
    }
};
ValidationService = __decorate([
    common_1.Injectable(),
    __metadata("design:paramtypes", [])
], ValidationService);
exports.ValidationService = ValidationService;
//# sourceMappingURL=validation.service.js.map